Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 > Class Template Reference

Inheritance diagram for osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >:

[legend]
List of all members.

## Public Types
typedef R(* | FunctionType )(P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14)
## Public Member Functions
| StaticMethodInfo15 (const std::string &qname, FunctionType f, const ParameterInfoList &plist)
bool | isConst () const
| Returns whether the reflected method is const or not.
bool | isStatic () const
| Returns whether the reflected method is static or not.
Value | invoke (ValueList &args) const
| Invokes the reflected static method dynamically passing it the arguments as a list of Value objects.

### template<typename C, typename R, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
class osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >

## Member Typedef Documentation

template<typename C, typename R, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
typedef R(* osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >::FunctionType)(P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14)

## Constructor & Destructor Documentation

template<typename C, typename R, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >::StaticMethodInfo15 | ( | const std::string & | qname,
|  | FunctionType | f,
|  | const ParameterInfoList & | plist
| ) | `[inline]`

## Member Function Documentation

template<typename C, typename R, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
Value osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >::invoke | ( | ValueList & | args | ) | const`[inline, virtual]`

| Invokes the reflected static method dynamically passing it the arguments as a list of Value objects. Reimplemented from osgIntrospection::MethodInfo.

template<typename C, typename R, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
bool osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >::isConst | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is const or not. Implements osgIntrospection::MethodInfo.

template<typename C, typename R, typename P0, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6, typename P7, typename P8, typename P9, typename P10, typename P11, typename P12, typename P13, typename P14>
bool osgIntrospection::StaticMethodInfo15< C, R, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >::isStatic | ( |  | ) | const`[inline, virtual]`

| Returns whether the reflected method is static or not. Implements osgIntrospection::MethodInfo.

The documentation for this class was generated from the following file:

- StaticMethodInfo